"use strict";
const common_vendor = require("../../../common/vendor.js");
const api_request = require("../../../api/request.js");
if (!Array) {
  const _component_template = common_vendor.resolveComponent("template");
  _component_template();
}
const _sfc_main = {
  __name: "mineorders",
  setup(__props) {
    const currentColor = common_vendor.ref(0);
    const sort = common_vendor.ref([{}]);
    const headerList = common_vendor.ref([{}]);
    const productList = common_vendor.ref([{}]);
    common_vendor.onMounted(async () => {
      await Getsort();
      await changeTypes(sort.value[0], 0);
      await Getorder();
      Status.displayedOrders = Status.orders;
    });
    common_vendor.ref({
      userInfo: common_vendor.wx$1.getStorageSync("userInfo")
    });
    const Getorder = async () => {
      const res = await common_vendor.index.request({
        url: api_request.baseUrl + "/order/list",
        method: "POST",
        data: {
          // id:userInfo.value.userInfo.id ,
          id: 215
        }
      });
      if (res.data.code === 1) {
        Status.value.orders = res.data.data;
        console.log(Status.value.orders[0].orderStatus);
        console.log(res.data.data[0].orderStatus);
      } else {
        console.log("没拿到用户数据");
      }
    };
    const Status = common_vendor.ref({
      orderStatus: "全部",
      orders: [
        {}
      ],
      displayedOrders: []
    });
    const changeTab = (tab) => {
      for (let key in Status.value.orders) {
        tab[key] = {};
      }
      Status.value.orders.orderStatus = tab;
      if (tab === "全部") {
        Status.value.displayedOrders = Status.value.orders;
      } else {
        Status.value.displayedOrders = Status.value.orders.filter((order) => {
          switch (tab) {
            case "待支付":
              return order.orderStatus === "代支付";
            case "代发货":
              return order.orderStatus === "代发货";
            case "已发货":
              return order.orderStatus === "已发货";
            case "售后":
              return order.orderStatus === "售后";
            default:
              return false;
          }
        });
      }
    };
    const Getsort = async () => {
      const res = await common_vendor.index.request({
        url: api_request.testUrl + "/category/list",
        method: "POST"
      });
      if (res.data.code === 1) {
        for (let key in res.data.data) {
          sort.value[key] = {
            //类别列表
            name: res.data.data[key].typeName,
            imgurl: res.data.data[key].typeUrl,
            id: res.data.data[key].id
          };
          headerList.value[key] = {
            name: res.data.data[key].typeName,
            typeIntro: res.data.data[key].typeIntro
          };
        }
      } else {
        common_vendor.index.showToast({
          //提示请求错误
          title: "请求商品分类错误",
          icon: "none",
          duration: 2e3
        });
      }
    };
    const changeTypes = async (item, index) => {
      currentColor.value = index;
      const res = await common_vendor.index.request({
        url: api_request.testUrl + "/category/list/type",
        method: "POST",
        data: {
          id: item.id
        }
      });
      if (res.data.code === 1) {
        productList.value = res.data.data[item.id];
      } else {
        common_vendor.index.showToast({
          //商品请求错误
          title: "更改类别错误",
          icon: "none",
          duration: 2e3
        });
      }
    };
    return (_ctx, _cache) => {
      return {
        a: _ctx.orderStatus === "全部" ? 1 : "",
        b: common_vendor.o(($event) => changeTab("全部")),
        c: _ctx.orderStatus === "代支付" ? 1 : "",
        d: common_vendor.o(($event) => changeTab("代支付")),
        e: _ctx.orderStatus === "代发货" ? 1 : "",
        f: common_vendor.o(($event) => changeTab("代发货")),
        g: _ctx.orderStatus === "已发货" ? 1 : "",
        h: common_vendor.o(($event) => changeTab("已发货")),
        i: _ctx.orderStatus === "售后" ? 1 : "",
        j: common_vendor.o(($event) => changeTab("售后")),
        k: common_vendor.f(Status.value.orders, (order, k0, i0) => {
          return {
            a: common_vendor.f(order.orderItemList, (item, k1, i1) => {
              return {
                a: common_vendor.t(item.goodSnapshot.name),
                b: item.id
              };
            }),
            b: common_vendor.f(order.orderItemList, (item, k1, i1) => {
              return {
                a: common_vendor.t(item.goodSnapshot.type),
                b: item.id
              };
            }),
            c: common_vendor.f(order.orderItemList, (item, k1, i1) => {
              return {
                a: common_vendor.t(item.goodSnapshot.price),
                b: item.id
              };
            }),
            d: order.id
          };
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7d0f2622"], ["__file", "D:/jiangchengfeiyi-xiaochengxu/pages/mine/mineorders/mineorders.vue"]]);
wx.createPage(MiniProgramPage);
